"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
Object.defineProperty(exports, "__esModule", { value: true });
var oda_gen_common_1 = require("oda-gen-common");
var graphql_tag_1 = require("graphql-tag");
var lodashProps = "\nmap: Path\nkeyBy: Path\neach: LodashOperations\ntrim: DummyArgument\nstringify: DummyArgument\ntoJSON: DummyArgument\n\n# Creates an array of elements split into groups the length of size.\n# If array can't be split evenly, the final chunk will be the remaining elements.\nchunk: Int\n\n# Creates a slice of array with n elements dropped from the beginning.\ndrop: Int\n\n# Creates a slice of array with n elements dropped from the end.\ndropRight: Int\n\n# Creates a slice of array with n elements taken from the beginning.\ntake: Int\n\n# Creates a slice of array with n elements taken from the end.\ntakeRight: Int\n\n# Recursively flatten array up to depth times.\nflattenDepth: Int\n\n# The inverse of `toPairs`; this method returns an object composed from key-value\n# pairs.\nfromPairs: DummyArgument\n\n# Gets the element at index n of array. If n is negative, the nth element from\n# the end is returned.\nnth: Int\n\n# Reverses array so that the first element becomes the last, the second element\n# becomes the second to last, and so on.\nreverse: DummyArgument\n\n# Creates a duplicate-free version of an array, in which only the first occurrence\n# of each element is kept. The order of result values is determined by the order\n# they occur in the array.\nuniq: DummyArgument\n\nuniqBy: Path\n\ncountBy: Path\nfilter: JSON\nreject: JSON\nfilterIf: Predicate\nrejectIf: Predicate\ngroupBy: Path\nsortBy: [Path!]\nmatch: RegExpr\nisMatch: RegExpr\n\nminBy: Path\nmaxBy: Path\nmeanBy: Path\nsumBy: Path\n\n# Converts all elements in array into a string separated by separator.\njoin: String\n\nget: Path\n# push selected item donw to the specified path\ndive: Path\n# get all fields of specified path to current object\nassign: [Path!]\nmapValues: Path\n\nconvert: ConvertTypeArgument\n\n# Creates an array of values corresponding to paths of object.\nat: [Path!]\n# Creates an array of own enumerable string keyed-value pairs for object.\ntoPairs: DummyArgument\n\n# Creates an object composed of the inverted keys and values of object.\n# If object contains duplicate values, subsequent values overwrite property\n# assignments of previous values.\ninvert: DummyArgument\n\ninvertBy: Path\n# Creates an array of the own enumerable property names of object.\nkeys: DummyArgument\n# Creates an array of the own enumerable string keyed property values of object.\nvalues: DummyArgument\n";
exports.Path = new oda_gen_common_1.Scalar({
    schema: graphql_tag_1.default(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n    scalar Path\n  "], ["\n    scalar Path\n  "]))),
    resolver: {
        serialize: String,
        parseValue: String,
        parseLiteral: function (x) { return x.value; },
    },
});
exports.RegularExpression = new oda_gen_common_1.Input({
    schema: graphql_tag_1.default(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n    input RegExpr {\n      match: String!\n      flags: String\n    }\n  "], ["\n    input RegExpr {\n      match: String!\n      flags: String\n    }\n  "]))),
});
exports.Predicate = new oda_gen_common_1.Input({
    schema: graphql_tag_1.default(templateObject_3 || (templateObject_3 = __makeTemplateObject(["\n    input Predicate {\n      lt: JSON\n      lte: JSON\n      gt: JSON\n      gte: JSON\n      eq: JSON\n      startsWith: String\n      endsWith: String\n      and: [Predicate!]\n      or: [Predicate!]\n      ", "\n    }\n  "], ["\n    input Predicate {\n      lt: JSON\n      lte: JSON\n      gt: JSON\n      gte: JSON\n      eq: JSON\n      startsWith: String\n      endsWith: String\n      and: [Predicate!]\n      or: [Predicate!]\n      ", "\n    }\n  "])), lodashProps),
});
exports.Directives = new oda_gen_common_1.Directive({
    schema: graphql_tag_1.default(templateObject_4 || (templateObject_4 = __makeTemplateObject(["      \n    directive @_(\n      ", "\n    ) on FIELD | QUERY\n  "], ["      \n    directive @_(\n      ", "\n    ) on FIELD | QUERY\n  "])), lodashProps),
});
exports.LodashOperations = new oda_gen_common_1.Input({
    schema: graphql_tag_1.default(templateObject_5 || (templateObject_5 = __makeTemplateObject(["\n    input LodashOperations {\n      ", "\n    }\n  "], ["\n    input LodashOperations {\n      ", "\n    }\n  "])), lodashProps),
});
exports.DummyArgument = new oda_gen_common_1.Enum({
    schema: graphql_tag_1.default(templateObject_6 || (templateObject_6 = __makeTemplateObject(["\n    enum DummyArgument {\n      none\n    }\n  "], ["\n    enum DummyArgument {\n      none\n    }\n  "]))),
});
exports.ConvertTypeArgument = new oda_gen_common_1.Enum({
    schema: graphql_tag_1.default(templateObject_7 || (templateObject_7 = __makeTemplateObject(["\n    enum ConvertTypeArgument {\n      toNumber\n      toString\n    }\n  "], ["\n    enum ConvertTypeArgument {\n      toNumber\n      toString\n    }\n  "]))),
});
exports.default = new oda_gen_common_1.Schema({
    name: 'LodashSchema',
    items: [
        exports.Path,
        exports.RegularExpression,
        exports.Predicate,
        exports.Directives,
        exports.LodashOperations,
        exports.DummyArgument,
        exports.ConvertTypeArgument,
    ],
});
var templateObject_1, templateObject_2, templateObject_3, templateObject_4, templateObject_5, templateObject_6, templateObject_7;
//# sourceMappingURL=lodashSchema.js.map